Bug 3819 - Odd parsing of -z option to RFT client
: Odd parsing of -z option to RFT client
Status: RESOLVED FIXED
: CoG jglobus
security
: unspecified
: Macintosh All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-10-18 15:44 by
Modified: 2005-12-05 17:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-18 15:44:46
Here's the error I got:

Caused by: org.globus.common.ChainedIOException: Authentication failed [Caused
by: Operation unauthorized (Mechanism level: Authorization failed. Expected
"/C=org/DC=doegrids/OU=Services/CN=wiggum.mcs.anl.gov" target but received
"/DC=org/DC=doegrids/OU=Services/CN=wiggum.mcs.anl.gov")]

But I got that with -z "DC=org/DC=doegrids/OU=Services/CN=wiggum.mcs.anl.gov".  Granted, I made a 
typo and left off the leading /, but it seems incorrect to replace the initial "D" with a "/".  Either it should 
give an error that I'm missing / at the beginning, or it should compare with exactly what I gave it.
------- Comment #1 From 2005-10-19 10:13:45 -------
This is a bug in one of the routines in DN parsing in CoG.
------- Comment #2 From 2005-10-19 11:12:58 -------
Fixed the parsing so that an error will be returned when the '/' is missing. 
Committed fixes & test cases to cog cvs. Committed updated cog-jglobus.jar to 
gt cvs trunk & globus_4_0_branch.